package com.trade.service.contract.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.Map;

@Configuration
@ConfigurationProperties(prefix = "contract.base")
public class ContractConfigProperties {

    private String dir;
    // key: idNo, value: eSignSealId  (important: 如需静默签署，请在此处配置)
    private Map<String, String> eSignSealIdMap;

    public String getDir() {
        return dir;
    }

    public void setDir(String dir) {
        this.dir = dir;
    }

    public Map<String, String> getESignSealIdMap() {
        return eSignSealIdMap;
    }

    public void setESignSealIdMap(Map<String, String> eSignSealIdMap) {
        this.eSignSealIdMap = eSignSealIdMap;
    }

    public String getESignSealIdByIdNo(String idNo) {
        return eSignSealIdMap.get(idNo);
    }
}
